#ifndef _structs_h
#define _structs_h
/*  STRUCTS.H for fits2pg 1.0  */
#include "consts.h"
#include <fitsio.h>

typedef
struct {
  char *name;               /*  Name of the input file */
  char *archive;            /*  archive name           */
  char *mountp;             /*  mount point of the archive  */
  char *path;               /*  path to the file relative to the mount point */
  int simple;
  long bitpix;
  long naxis, nax[2];

  double bzero, bscale;
  fitsfile *fptr;
  char ctype[5];
  char ctype1[FLEN_VALUE], ctype2[FLEN_VALUE];
  double crval1, cdelt1, crpix1, crota1;
  double crval2, cdelt2, crpix2, crota2, crot;
  short wcs;
  float sizex, sizey;
  char origin[FLEN_VALUE];
  char telescope[FLEN_VALUE];
  char instrument[FLEN_VALUE];
  char observer[FLEN_VALUE];
  char email[FLEN_VALUE];     /*  Name of the object  */
  char object[FLEN_VALUE];     /*  Name of the object  */
  char date_obs[FLEN_VALUE];

  char ut_start[20];
  char ut_cent[20];
  char ut_end[20];
  char time_beg[20];
  char time_end[20];
  /*  Flags which tell whether specific keyword was read  */
  short is_date_obs;
  short is_exposure;
  short is_ut_start;
  short is_ut_cent;
  short is_ut_end;
  short is_time_beg;
  short is_time_end;
  double mjd;
  char time[9];
  float exposure;
  float ccd_temp;
  float temperat, pressure, humidity;
  float equinox;
} FITSFILE;


typedef
struct {
  char *server;   /*  Internet address of the database server  */
  char *database; /*  Name of the database in which to insert information */
  char *port;     /*  Port number                              */
  char *logname;
  FILE *logfile;
  char *version;
  int verbose;
} STATE;

#endif
